LibOFX: tree< T, tree_node_allocator >::iterator_base Class Reference

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Data Fields | Protected Attributes
tree< T, tree_node_allocator >::iterator_base Class Reference

Base class for iterators, only pointers stored, no traversal logic. More...

Inheritance diagram for tree< T, tree_node_allocator >::iterator_base:

## Public Types
typedef T | value_type
typedef T * | pointer
typedef T & | reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef T | value_type
typedef T * | pointer
typedef T & | reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions
| iterator_base (tree_node *)
T & | operator* () const
T * | operator-> () const
void | skip_children ()
| When called, the next increment/decrement skips children of this node.
unsigned int | number_of_children () const
| Number of children of the node pointed to by the iterator.
sibling_iterator | begin () const
sibling_iterator | end () const
| iterator_base (tree_node *)
T & | operator* () const
T * | operator-> () const
void | skip_children ()
| When called, the next increment/decrement skips children of this node.
unsigned int | number_of_children () const
| Number of children of the node pointed to by the iterator.
sibling_iterator | begin () const
sibling_iterator | end () const

## Data Fields
tree_node * | node

## Protected Attributes
bool | skip_current_children_

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::iterator_base

Base class for iterators, only pointers stored, no traversal logic.

Definition at line 130 of file tree.hh.

The documentation for this class was generated from the following file:

- tree.hh